Subject: Re: bug#65027: 30.0.50; [PATCH] Document .elpaignore behavior in the Emacs Lisp manual

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jan 2024 07:46:59 +0200

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> Date: Sat, 27 Jan 2024 12:34:17 -0800
> From: Jim Porter <[email-masked]>
> 
> On 1/11/2024 11:35 AM, Jim Porter wrote:
> > On 1/10/2024 1:49 PM, Stefan Kangas wrote:
> >> But while we wait for that work to complete, is there any reason not to
> >> install the below patch?  Because we currently don't have any
> >> documentation for .elpaignore, and it's kind of frustrating to have to
> >> tell people that it exists over and over.
> >>
> >> Thoughts/objections?  Thanks in advance.
> > 
> > Makes sense to me. If others agree, I can merge my patch.
> 
> Since no one has had any further comments in the last couple weeks, I've 
> now merged my patch to master as 744a10a4d72.

Thanks, I fixed it slightly.

Btw, it is a bit strange in my eyes that this chapter talks about
package organization conventions on ELPA without ever mentioning that
those conventions are specific for ELPA, nor even describing what ELPA
is until a later section.  Perhaps the organization of the chapter
should be rethought, given that it no longer describes only
package.el, but also the conventions and requirements for submitting
packages to ELPA.